View Issue Details

IDProjectCategoryView StatusLast Update
0012850LazarusLCLpublic2009-05-05 21:23
ReporterIvo Steinmann Assigned ToPaul Ishenin  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformPentium4 2.5ghzOSLinux Gentoo i386 
Product Version0.9.27 (SVN) 
Target Version1.0.0Fixed in Version1.0.0 
Summary0012850: OnGetItems event is not called, when TComboBox is empty
DescriptionWhen I set TComboBox to csDropDownList and assign a callback to the OnGetItems. OnGetItems is never called, if there are no elements already in the dropdown list. The control is grayed (same as Enable := False) if there are no elements.

My current workaround is to add a empty element to the list. Then on OnGetItems I delete this empty element and add the right elements, if there are any. If there are no elements to add, I add a empty dummy again.
TagsNo tags attached.
Fixed in Revision18339
LazTarget-
WidgetsetGTK 2
Attached Files

Relationships

related to 0012849 closedPaul Ishenin Impossible to select TComboBox on Designer 
related to 0012747 closedPaul Ishenin paValueList creates a read-only drop-down... 

Activities

Ivo Steinmann

2008-12-26 12:53

developer   ~0023979

I just noticed that this problem don't exist with GTK+ 2.12.11
I'm using GTK+ 2.14.5 on the testing machine. (with GTK+ 2.14.5 there are other problems also, I will report them later).

Mattias Gaertner

2009-01-16 20:43

manager   ~0024486

This is useful (for example in the object inspector where fetching items is expensive and you change the content rapidly).

But for delphi compatibility a flag is needed to call OnGetItems on focusing.

Paul Ishenin

2009-01-19 10:48

manager   ~0024527

Please test and close if ok.

Ivo Steinmann

2009-05-05 21:23

developer   ~0027343

fixed

Issue History

Date Modified Username Field Change
2008-12-23 22:34 Ivo Steinmann New Issue
2008-12-23 22:34 Ivo Steinmann LazTarget => -
2008-12-23 22:34 Ivo Steinmann Widgetset => GTK 2
2008-12-26 12:53 Ivo Steinmann Note Added: 0023979
2009-01-16 19:16 Paul Ishenin Relationship added related to 0012849
2009-01-16 20:43 Mattias Gaertner Note Added: 0024486
2009-01-16 20:43 Mattias Gaertner Status new => confirmed
2009-01-19 10:48 Paul Ishenin Fixed in Revision => 18339
2009-01-19 10:48 Paul Ishenin Status confirmed => resolved
2009-01-19 10:48 Paul Ishenin Fixed in Version => 1.0.0
2009-01-19 10:48 Paul Ishenin Resolution open => fixed
2009-01-19 10:48 Paul Ishenin Assigned To => Paul Ishenin
2009-01-19 10:48 Paul Ishenin Note Added: 0024527
2009-01-19 10:48 Paul Ishenin Target Version => 1.0.0
2009-01-19 11:37 Vincent Snijders Relationship added related to 0012747
2009-05-05 21:23 Ivo Steinmann Status resolved => closed
2009-05-05 21:23 Ivo Steinmann Note Added: 0027343